SUSE Linux Enterprise 11 тред

openSUSE, SUSE Linux Enterprise

Модератор: Модераторы разделов

zenitur
Сообщения: 594
Статус: Одмин
ОС: openSuSE 10.2

SUSE Linux Enterprise 11 тред

Сообщение zenitur »

Привет всем! Вот и закончилась тех. поддержка Ubuntu 10.04 и Debian 6.0. Последний нормальный линукс с GNOME2 перестал существовать. Я некоторое время попользовался MATE в связке с современным дистром, но потом релизнулась версия 1.8 - и DE стало полигоном!

Знаете что? Я продолжил пользоваться Ubuntu 10.04. Переключил репо на http://old-releases.ubuntu.com/ и вперёд. Но меня малость раздражает то, что когда я совершаю покупки в интернете, мои платёжные данные могут перехватить из-за того что "дырки не фиксятся". Да это линукс, да это "Неуловимый Джо", да у меня NAT! Но всё-таки. Поэтому я поменял Ubuntu 10.04 на LTS-линукс того же периода времени, но ещё поддерживаемый! Пришло время дистров под названием CentOS 6 и SUSE Linux Enterprise 11! Последнему я и посвящаю этот тред...

Какие бывают проблемы?

После N-цатого suspend-а исчезает значок nm-applet. Ну и ещё в драйвер NVIDIA забыли положить файл, добавляющий 32-битные пути в LD_LIBRARY_PATH. В остальном дистр очень стабилен и обкатан.

Какого софта не хватает?

Для скайпа пришлось обновить Qt4 до 4.8 (сам Скайп хочет 4.7 или новее), ссылку на репозиторий оставлю ниже.

Для Стима потребовалось обновить Glibc (в случае использования KDE. А если GNOME, то GLIBC и libXCB. Проблема с XCB возникает в связке со старым GDM, и описана здесь). Я брал Glibc из openSUSE 12.3 прямо так, не пересобирая. Глянул с помощью YAST какие из пакетов с Glibc установлены, и скачал именно их. После установки заработал и сам Стим, и все игрушки под ним.

// По идее, надо форкнуть этот самый Glibc 2.17, чтобы наложить современные патчи из CentOS 7. А то openSUSE 12.3 уже дропнули, в связи с чем даже этот баг присутствует. А обновиться новее Glibc 2.17 у меня не получается: с версией 2.18 система не авторизирует пользователя. Да новее и не нужно: в Ubuntu 14.04 как раз 2.17 (в моей библиотеке из 350 игр почти все игры собраны в 12.04, лишь несколько в 14.04, и ни одной в 16.04). В общем, как переборю лень - создам репозиторий OBS. Приветствуется помощь!

В репозиториях OBS нашлось масса всего: патченный Freetype самой распоследней версии, архиваторы, CDemu, Wine. Не нашлось GParted почему-то, Florence (виртуальная клавиатура) и XNeur (аналог Punto Switcher). Сборки последнего были, но с версии 0.19 проект перешёл на Xinput2, который в SLE11 в последний момент не вошёл. Поэтому в репозитории X11:Utilites версия для SLE11 стоит как unresolvable, и я форкнул предыдущую версию в свой OBS.

Мои репозитории

sle11_software - название как бы говорит само за себя, однако SLE12 тоже есть в Build Targets. В этом репо находятся GParted, Florence, XNeur и hostapd. Последний хоть и есть в сборках для SLE11, но не такой новый. Ещё там есть dockbarx - док-панель, которая умеет встраивать себя в gnome-panel в качестве апплета, заменяя "Список окон" на закос под Win7. Репо создано для того, чтобы я добавлял в него сборки всего, чего нет в других репо. Добавляю по мере обнаружения.

qt4 - последний на данный момент релиз Qt4.

qt5.6 - не последний релиз Qt5, но имеющий статус LTS. В генте, например, именно эта версия отмечена как Stable. В этом репо у меня есть QTerminal, SMplayer, qBittorrent, Bitcoin, qBitcoinTrader, qmmp, ttyhlauncher. Планирую добавить obs-studio (это который запись экрана или стриминг в сеть), Mumble и VLC. Кроме того, пока не собран QtWebkit - жду исправления бага.

Перед использованием моего Qt5 необходимо предварительно обновить пакеты libXCB и libX11 из того же самого репозитория. Кстати, это ещё и Стим починит.

mono-2.10 - незначительное обновление Mono с 2.6 до 2.10. Хотел сделать последний релиз, но забросил это дело. Кроме Mono, там же находится некоторый GTK-C# софт: обновление системных gnome-do и banshee, и док-панель Docky, которой в системе не было. Впрочем, я жутко разочарован во всех этих прогах: banshee после обновления 2.5.1 потерял басы (надо перепробовать в 2017-м, может уже пофиксили?), gnome-do ущербен, док-панель тоже ущербна (dockbarx лучше). Если кому-нибудь хочется обновиться до Mono 2.10, воспользуйтесь этой фичей YAST (только тут на примере Packman-а):

Изображение

Репо с компизом давать не буду - дефолтный лучше.

Объявляю перепись пользователей SUSE Linux Enterprise 11! Какого софта вам не хватает? Давайте работать над этим вместе!
А йа Ктулху! А йа - Медве-ед! А где Путин? Путина не-ет! Если встретишь - зохавай моск! А вернёшься - скажи ПРЕВЕД! Превед, Ктулху! Превед, Медвед!
Спасибо сказали:

Аватара пользователя
Atolstoy
Сообщения: 1653
Статус: Tux in the rain
ОС: Linux x86_64

Re: SUSE Linux Enterprise 11 тред

Сообщение Atolstoy »

На картинке у вас стиль Qt4, который как-то ближе к KDE4, чем к GNOME/MATE. При этом, насколько я знаю, в SUSE Linux Enterprise вообще нету KDE.
Всего лишь 26 литров пива достаточно человеку для удовлетворения ежедневной потребности в кальции. Здоровое питание - это так просто!
http://atolstoy.wordpress.com
Спасибо сказали:

Аватара пользователя
Stauffenberg
Сообщения: 2023
Статус: ☮ PEACE ☮
ОС: открытая и свободная

Re: SUSE Linux Enterprise 11 тред

Сообщение Stauffenberg »

zenitur писал(а):
13.02.2017 20:50
Объявляю перепись пользователей SUSE Linux Enterprise 11! Какого софта вам не хватает? Давайте работать над этим вместе!

Ничего против SLE, но может давайте лучше работать над openSUSE? Она специально была создана как community-дистрибутив.
Чем SLE лучше oS лично для Вас?
Labor omnia vincit

"Debugging is twice as hard as writing the code in the first place.
Therefore, if you write the code as cleverly as possible, you are, by definition, not smart enough to debug it.” (Brian Kernighan)
Спасибо сказали:

Аватара пользователя
Dromedary
Сообщения: 6
ОС: SUSE

Re: SUSE Linux Enterprise 11 тред

Сообщение Dromedary »

zenitur писал(а):
13.02.2017 20:50
... Объявляю перепись пользователей SUSE Linux Enterprise 11! Какого софта вам не хватает? Давайте работать над этим вместе!
Для моей практической работы (один из отделов судебной экспертизы) - в исходном не хватает лишь кодеков и системы оптического распознавания текста.

Atolstoy писал(а):
14.02.2017 12:52
На картинке у вас стиль Qt4, который как-то ближе к KDE4, чем к GNOME/MATE. При этом, насколько я знаю, в SUSE Linux Enterprise вообще нету KDE.
При установке системы, перед окончательной проверкой перед установкой и предложении изменений или исправлений - можно войти в "программы" или "систему" (точно не помню, как называется раздел), и, кроме Гнома - установить еще и КДЕ. Затем при старте включается Гном, надо выйти из сеанса и переключиться на КДЕ, и с этого времени - КДЕ будет сразу включаться старте системы (пока не захотите обратно переключиться на Гном).

Stauffenberg писал(а):
15.02.2017 15:32
Ничего против SLE, но может давайте лучше работать над openSUSE? Она специально была создана как community-дистрибутив.
Чем SLE лучше oS лично для Вас?
OpenSUSE - уже не для бедных. На работе приходится использовать небольшой парк (6 штук) своих личных машин (П-3, 512 Мб), сейчас стабильных новых релизов под такие машины уже нет и не будет уже никогда, катящиеся - не встают, да и ненадежно было бы использовать на работе, а вот SLED11SP4 - идет очень даже лихо.
Спасибо сказали:

ansky
Сообщения: 2

Re: SUSE Linux Enterprise 11 тред

Сообщение ansky »

Здравствуйте. На работе есть кластер на SLES 11.1.
Мне нужно поставить CODEBLOCKS FORTRAN(CB) IDE и DOUBLE COMMANDER(DC).
CB- необходим для дела, DC- желателен.
Для CB есть dev репозиторий SLES 11.1 на opensuse, для DC нужно искать rpm для qt5.
Вопрос- насколько это безопасно для системы.
Я не линуксоид - на персоналке поставил CENTOS - там проблем не возникло. Доставил rpm вручную.
Но SLESа опасаюсь - древний.
С уважением, Александр
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 17042
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: SUSE Linux Enterprise 11 тред

Сообщение Bizdelnick »

ansky писал(а):
19.07.2020 12:43
Вопрос- насколько это безопасно для системы.
Я не линуксоид
Тогда лучше не надо.

P.S. Что за кластер такой, на котором нужны GUI-приблуды?
Пишите правильно:
в консоли
вку́пе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали: